<template>
  <NavHeader></NavHeader>
  <FullGameBox :game="game" v-if="game"></FullGameBox>
</template>

<script>
import NavHeader from "./organisms/NavHeader.vue";
import FullGameBox from "./organisms/FullGameBox.vue";
import axios from "axios";
import store from "../store/auth";

export default {
  components: { NavHeader, FullGameBox },
  data() {
    return {
      game: {
        method: {},
        player: {},
      },
    };
  },
  props: {
    id: {
      validator(value) {
        return /([0-9])/.test(value);
      },
    },
  },
  async created() {
    store.commit("general/setLoading", true);
    this.game = (await axios.get(`/api/games/${this.id}/details`)).data.data;
    document.title = "Game";
    store.commit("general/setLoading", false);
  },
};
</script>

<style lang="scss"></style>
